# Class JTextComponent.DropLocation

java.lang.Object
javax.swing.TransferHandler.DropLocation
javax.swing.text.JTextComponent.DropLocation

Enclosing class:
  `JTextComponent`

public static final class JTextComponent.DropLocation extends TransferHandler.DropLocation
Represents a drop location for `JTextComponent`s.

Since:
  1.6
See Also:
  - `JTextComponent.getDropLocation()`

## Method Summary

Modifier and Type
Method
Description
`Position.Bias`
`getBias()`
Returns the bias for the drop index.
`int`
`getIndex()`
Returns the index where dropped data should be inserted into the associated component.
`String`
`toString()`
Returns a string representation of this drop location.

### Methods declared in class TransferHandler.DropLocation

`getDropPoint`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getIndex

public int getIndex()
Returns the index where dropped data should be inserted into the associated component. This index represents a position between characters, as would be interpreted by a caret.

Returns:
  the drop index

### getBias

public Position.Bias getBias()
Returns the bias for the drop index.

Returns:
  the drop bias

### toString

public String toString()
Returns a string representation of this drop location. This method is intended to be used for debugging purposes, and the content and format of the returned string may vary between implementations.

Overrides:
  `toString` in class `TransferHandler.DropLocation`
Returns:
  a string representation of this drop location